Details

    • Type: Bug Bug
    • Status: Closed Closed (View Workflow)
    • Priority: Critical Critical
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 6.0.0.M1
    • Component/s: Deployers
    • Security Level: Public (Everyone can see)
    • Labels:
      None
    • Environment:
      JBoss 5.0.1 GA
      JDK 5 update 16
      Seam trunk
    • Similar Issues:
      Show 10 results 

      Description

      Hot deployment does not seem to work. I am using seam-gen to create a war packaged application and deploy it on JBoss 5.0.1 GA. It deploys fine, but:
      a) deployment of XHTML template
      modified facelet templates are not being picked up

      b) deployment of action Java Bean
      I run new-action to create a ping action component and run "explode" target. Component does not deploy. There is nothing in the server log that would indicate that server is even trying to load the component.

      All mentioned above works fine on JBoss 4.2.3 and JBoss 5.0.0

        Activity

        Hide
        Jason Greene
        added a comment -

        Jozef Hartinger - 06/Aug/09 05:35 AM
        I have verified that hot deployment of Seam components and xhtml files works with EAP 5 build from http://hudson.qa.jboss.com/hudson/view/EAP-CI/job/JBoss-EAP-5.0.x-noauth/22/artifact/JBossEAP_5_0/build/output/jboss-eap-5.0.x.zip and JBDS 2.1 nightly build from http://reports.qa.atl.jboss.com/binaries/RHDS/nightly/2.1.0.GA/200908051814/installer/jbdevstudio-linux-gtk-x86_64-2.1.0.GA-N200908051814-H125.jar
        [ Show » ]
        Jozef Hartinger - 06/Aug/09 05:35 AM I have verified that hot deployment of Seam components and xhtml files works with EAP 5 build from http://hudson.qa.jboss.com/hudson/view/EAP-CI/job/JBoss-EAP-5.0.x-noauth/22/artifact/JBossEAP_5_0/build/output/jboss-eap-5.0.x.zip and JBDS 2.1 nightly build from http://reports.qa.atl.jboss.com/binaries/RHDS/nightly/2.1.0.GA/200908051814/installer/jbdevstudio-linux-gtk-x86_64-2.1.0.GA-N200908051814-H125.jar

        [ Permlink | Edit | Delete | « Hide ]
        Pete Muir - 07/Aug/09 08:50 AM
        Ales I guess that we can resolve assuming you've applied the fix to the 5_x branch?
        [ Show » ]
        Pete Muir - 07/Aug/09 08:50 AM Ales I guess that we can resolve assuming you've applied the fix to the 5_x branch?

        [ Permlink | Edit | Delete | « Hide ]
        Ales Justin - 07/Aug/09 08:58 AM
        If 5_x runs on Deployers 2.0.8.GA+ then it should be OK.
        [ Show » ]
        Ales Justin - 07/Aug/09 08:58 AM If 5_x runs on Deployers 2.0.8.GA+ then it should be OK.

        [ Permlink | Edit | Delete | « Hide ]
        Jason T. Greene - 28/Aug/09 09:09 PM
        <version.org.jboss.deployers>2.0.8.GA</version.org.jboss.deployers>

        Show
        Jason Greene
        added a comment - Jozef Hartinger - 06/Aug/09 05:35 AM I have verified that hot deployment of Seam components and xhtml files works with EAP 5 build from http://hudson.qa.jboss.com/hudson/view/EAP-CI/job/JBoss-EAP-5.0.x-noauth/22/artifact/JBossEAP_5_0/build/output/jboss-eap-5.0.x.zip and JBDS 2.1 nightly build from http://reports.qa.atl.jboss.com/binaries/RHDS/nightly/2.1.0.GA/200908051814/installer/jbdevstudio-linux-gtk-x86_64-2.1.0.GA-N200908051814-H125.jar [ Show » ] Jozef Hartinger - 06/Aug/09 05:35 AM I have verified that hot deployment of Seam components and xhtml files works with EAP 5 build from http://hudson.qa.jboss.com/hudson/view/EAP-CI/job/JBoss-EAP-5.0.x-noauth/22/artifact/JBossEAP_5_0/build/output/jboss-eap-5.0.x.zip and JBDS 2.1 nightly build from http://reports.qa.atl.jboss.com/binaries/RHDS/nightly/2.1.0.GA/200908051814/installer/jbdevstudio-linux-gtk-x86_64-2.1.0.GA-N200908051814-H125.jar [ Permlink | Edit | Delete | « Hide ] Pete Muir - 07/Aug/09 08:50 AM Ales I guess that we can resolve assuming you've applied the fix to the 5_x branch? [ Show » ] Pete Muir - 07/Aug/09 08:50 AM Ales I guess that we can resolve assuming you've applied the fix to the 5_x branch? [ Permlink | Edit | Delete | « Hide ] Ales Justin - 07/Aug/09 08:58 AM If 5_x runs on Deployers 2.0.8.GA+ then it should be OK. [ Show » ] Ales Justin - 07/Aug/09 08:58 AM If 5_x runs on Deployers 2.0.8.GA+ then it should be OK. [ Permlink | Edit | Delete | « Hide ] Jason T. Greene - 28/Aug/09 09:09 PM <version.org.jboss.deployers>2.0.8.GA</version.org.jboss.deployers>

          People

          • Assignee:
            Ales Justin
            Reporter:
            Jozef Hartinger
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: